import React, { ReactNode } from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
export declare type AvatarContainerProps = {
    size: number;
    borderRadiusPercent: number;
    imgURL?: string;
    color: string;
    isLoading: boolean;
};
export declare type AvatarTextProps = {
    size: number;
    textColor: string;
};
export declare type AvatarProps = {
    placeholder?: string | ReactNode;
    children?: ReactNode;
    imgURL?: string;
    size?: number;
    color?: string;
    borderRadiusPercent?: number;
    isLoading?: boolean;
    StyledContainer?: StyledSubcomponentType;
    StyledText?: StyledSubcomponentType;
    StyledShimmer?: StyledSubcomponentType;
    containerProps?: SubcomponentPropsType;
    textProps?: SubcomponentPropsType;
    shimmerProps?: SubcomponentPropsType;
    containerRef?: React.RefObject<HTMLDivElement>;
    textRef?: React.RefObject<HTMLSpanElement>;
    shimmerRef?: React.RefObject<HTMLDivElement>;
};
export declare const AvatarContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const AvatarText: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const AvatarShimmer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
declare const Avatar: {
    ({ placeholder, children, imgURL, size, borderRadiusPercent, color: initialColor, isLoading, StyledContainer, StyledText, StyledShimmer, textProps, containerProps, shimmerProps, containerRef, textRef, shimmerRef, }: AvatarProps): JSX.Element;
    Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Text: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default Avatar;
//# sourceMappingURL=Avatar.d.ts.map