import React, { ReactNode, MouseEvent } from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
import { InteractionFeedbackProps } from '../InteractionFeedback/InteractionFeedback';
import FeedbackTypes from '../../enums/feedbackTypes';
export declare type CardContainerProps = {
    elevation: number;
    feedbackType: FeedbackTypes;
    isDefaultOnClick: boolean;
};
export declare const CardContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const Header: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const NoPaddingHeader: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const Body: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const Footer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export interface CardProps {
    StyledContainer?: StyledSubcomponentType;
    StyledHeader?: StyledSubcomponentType;
    StyledBody?: StyledSubcomponentType;
    StyledFooter?: StyledSubcomponentType;
    containerProps?: SubcomponentPropsType;
    headerProps?: SubcomponentPropsType;
    bodyProps?: SubcomponentPropsType;
    footerProps?: SubcomponentPropsType;
    interactionFeedbackProps?: Omit<InteractionFeedbackProps, 'children'>;
    onClick?: (evt: MouseEvent) => void;
    header?: ReactNode;
    children?: ReactNode;
    footer?: ReactNode;
    elevation?: number;
    disableFeedback?: boolean;
    feedbackType?: FeedbackTypes;
    containerRef?: React.RefObject<HTMLDivElement>;
    headerRef?: React.RefObject<HTMLDivElement>;
    bodyRef?: React.RefObject<HTMLDivElement>;
    footerRef?: React.RefObject<HTMLDivElement>;
    interactiveFeedbackRef?: React.RefObject<HTMLDivElement>;
}
declare const Card: {
    ({ StyledContainer, StyledHeader, StyledBody, StyledFooter, containerProps, headerProps, bodyProps, footerProps, interactionFeedbackProps, containerRef, headerRef, bodyRef, footerRef, interactiveFeedbackRef, onClick, header, children, footer, elevation, feedbackType, }: CardProps): JSX.Element | null;
    Header: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    NoPaddingHeader: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Footer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Body: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default Card;
//# sourceMappingURL=Card.d.ts.map