import React from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
import variants from '../../enums/variants';
import CheckboxTypes from '../../enums/checkboxTypes';
export declare const Input: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {
    type: string;
}, "type">;
export declare const Label: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const Box: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const CheckboxContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const BaseIcon: StyledSubcomponentType<any>;
export interface CheckboxProps {
    StyledLabel?: StyledSubcomponentType;
    StyledCheckboxContainer?: StyledSubcomponentType;
    StyledBox?: StyledSubcomponentType;
    StyledInput?: StyledSubcomponentType;
    StyledIcon?: StyledSubcomponentType;
    labelProps?: SubcomponentPropsType;
    checkboxContainerProps?: SubcomponentPropsType;
    boxProps?: SubcomponentPropsType;
    inputProps?: SubcomponentPropsType;
    iconProps?: SubcomponentPropsType;
    checkboxType?: CheckboxTypes;
    variant?: variants;
    children?: React.ReactNode;
    checked?: boolean;
    disabled?: boolean;
    onClick: (event: React.MouseEvent) => void;
    containerRef?: React.RefObject<HTMLDivElement>;
    boxRef?: React.RefObject<HTMLDivElement>;
    labelRef?: React.RefObject<HTMLLabelElement>;
    inputRef?: React.RefObject<HTMLInputElement>;
}
export declare const iconComponents: {
    check: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
    cross: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
    neutral: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
    default: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
    fill: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
};
declare const Checkbox: {
    ({ StyledLabel, StyledCheckboxContainer, StyledBox, StyledInput, StyledIcon, labelProps, checkboxContainerProps, boxProps, inputProps, iconProps, checkboxType, variant, checked, children, disabled, onClick, containerRef, boxRef, labelRef, inputRef, }: CheckboxProps): JSX.Element;
    Label: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Box: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Input: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {
        type: string;
    }, "type">;
    Container: import("styled-components").StyledComponent<"div", any, {}, never>;
    Types: typeof CheckboxTypes;
    CheckIcon: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
    CrossIcon: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
    NeutralIcon: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
    FillIcon: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
};
export default Checkbox;
//# sourceMappingURL=Checkbox.d.ts.map