import React, { ReactNode } from 'react';
import variants from '../../enums/variants';
import { TagProps } from '../Tag/Tag';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
import { TextInputProps } from '../TextInput/TextInput';
export declare type OptionProps = {
    id: number | string;
    optionValue: ReactNode;
    isSelected?: boolean;
};
export declare const ValueContainer: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
export declare const CloseIconContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const ArrowIconContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export interface DropdownProps {
    StyledContainer?: StyledSubcomponentType;
    StyledValueContainer?: StyledSubcomponentType;
    StyledValueItem?: StyledSubcomponentType;
    StyledValueItemTagContainer?: StyledSubcomponentType;
    StyledOptionsContainer?: StyledSubcomponentType;
    StyledHiddenOptionsContainer?: StyledSubcomponentType;
    StyledOptionItem?: StyledSubcomponentType;
    StyledCheckContainer?: StyledSubcomponentType;
    StyledPlaceholder?: StyledSubcomponentType;
    StyledCloseIconContainer?: StyledSubcomponentType;
    StyledArrowIconContainer?: StyledSubcomponentType;
    StyledSearchInput?: StyledSubcomponentType;
    StyledSearchContainer?: StyledSubcomponentType;
    StyledValueCountContainer?: StyledSubcomponentType;
    containerProps?: SubcomponentPropsType;
    valueContainerProps?: SubcomponentPropsType;
    valueItemProps?: SubcomponentPropsType;
    valueItemTagProps?: TagProps;
    optionsContainerProps?: SubcomponentPropsType;
    optionItemProps?: SubcomponentPropsType;
    checkContainerProps?: SubcomponentPropsType;
    placeholderProps?: SubcomponentPropsType;
    closeIconProps?: SubcomponentPropsType;
    arrowIconProps?: SubcomponentPropsType;
    searchInputProps?: SubcomponentPropsType;
    searchContainerProps?: SubcomponentPropsType;
    valueCountProps?: SubcomponentPropsType;
    containerRef?: React.RefObject<HTMLElement>;
    optionsContainerRef?: React.RefObject<HTMLElement>;
    hiddenOptionsContainerRef?: React.RefObject<HTMLElement>;
    optionItemRef?: React.RefObject<HTMLElement>;
    valueContainerRef?: React.RefObject<HTMLButtonElement>;
    valueItemRef?: React.RefObject<HTMLElement>;
    valueItemTagRef?: React.RefObject<HTMLElement>;
    checkContainerRef?: React.RefObject<HTMLElement>;
    placeholderRef?: React.RefObject<HTMLElement>;
    closeIconRef?: React.RefObject<HTMLElement>;
    arrowIconRef?: React.RefObject<HTMLElement>;
    searchContainerRef?: React.RefObject<HTMLDivElement>;
    searchInputRef?: React.RefObject<HTMLInputElement>;
    valueCountRef?: React.RefObject<HTMLElement>;
    color?: string;
    elevation?: number;
    multi?: boolean;
    name?: string;
    placeholder?: string;
    componentUUID?: string;
    onBlur?: () => void;
    onFocus?: () => void;
    onClear?: () => void;
    onSelect: (selected?: Array<string | number>) => void;
    rememberScrollPosition?: boolean;
    values?: Array<string | number>;
    options?: Array<OptionProps>;
    tabIndex?: number;
    variant?: variants;
    optionsVariant?: variants;
    valueVariant?: variants;
    valueCountVariant?: variants;
    shouldStayInView?: boolean;
    intersectionThreshold?: number;
    intersectionContainer?: HTMLElement | null;
    intersectionObserverPrecision?: number;
    virtualizeOptions?: boolean;
    showValueCount?: boolean;
    showSelectedValues?: boolean;
    clearable?: boolean;
    searchable?: boolean;
    searchFiltersOptions?: boolean;
    onSearchChange?: TextInputProps['onChange'];
    onDebouncedSearchChange?: TextInputProps['debouncedOnChange'];
}
declare const Dropdown: {
    ({ StyledContainer, StyledValueContainer, StyledValueItem, StyledValueItemTagContainer, StyledOptionsContainer, StyledHiddenOptionsContainer, StyledOptionItem, StyledCheckContainer, StyledPlaceholder, StyledCloseIconContainer, StyledArrowIconContainer, StyledSearchContainer, StyledSearchInput, StyledValueCountContainer, containerProps, valueContainerProps, valueItemProps, optionsContainerProps, optionItemProps, checkContainerProps, placeholderProps, closeIconProps, arrowIconProps, valueItemTagProps, searchInputProps, searchContainerProps, valueCountProps, containerRef, optionsContainerRef, hiddenOptionsContainerRef, optionItemRef, valueContainerRef, valueItemRef, valueItemTagRef, checkContainerRef, placeholderRef, closeIconRef, arrowIconRef, searchContainerRef, searchInputRef, valueCountRef, color, elevation, multi, name, placeholder, onBlur, onFocus, onClear, onSelect, options, tabIndex, variant, optionsVariant, rememberScrollPosition, valueVariant, valueCountVariant, values, shouldStayInView, intersectionThreshold, intersectionContainer, intersectionObserverPrecision, virtualizeOptions, showValueCount, showSelectedValues, clearable, searchable, searchFiltersOptions, onSearchChange, onDebouncedSearchChange, }: DropdownProps): JSX.Element | null;
    Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    OptionsContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    HiddenOptionsContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    OptionItem: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    ValueContainer: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
    ValueItem: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    ValueItemTagContainer: import("styled-components").StyledComponent<"symbol" | "object" | React.ComponentClass<any, any> | React.FunctionComponent<any> | "a" | "abbr" | "address" | "area" | "article" | "aside" | "audio" | "b" | "base" | "bdi" | "bdo" | "big" | "blockquote" | "body" | "br" | "button" | "canvas" | "caption" | "cite" | "code" | "col" | "colgroup" | "data" | "datalist" | "dd" | "del" | "details" | "dfn" | "dialog" | "div" | "dl" | "dt" | "em" | "embed" | "fieldset" | "figcaption" | "figure" | "footer" | "form" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "head" | "header" | "hgroup" | "hr" | "html" | "i" | "iframe" | "img" | "input" | "ins" | "kbd" | "keygen" | "label" | "legend" | "li" | "link" | "main" | "map" | "mark" | "menu" | "menuitem" | "meta" | "meter" | "nav" | "noindex" | "noscript" | "ol" | "optgroup" | "option" | "output" | "p" | "param" | "picture" | "pre" | "progress" | "q" | "rp" | "rt" | "ruby" | "s" | "samp" | "slot" | "script" | "section" | "select" | "small" | "source" | "span" | "strong" | "style" | "sub" | "summary" | "sup" | "table" | "template" | "tbody" | "td" | "textarea" | "tfoot" | "th" | "thead" | "time" | "title" | "tr" | "track" | "u" | "ul" | "var" | "video" | "wbr" | "webview" | "svg" | "animate" | "animateMotion" | "animateTransform" | "circle" | "clipPath" | "defs" | "desc" | "ellipse" | "feBlend" | "feColorMatrix" | "feComponentTransfer" | "feComposite" | "feConvolveMatrix" | "feDiffuseLighting" | "feDisplacementMap" | "feDistantLight" | "feDropShadow" | "feFlood" | "feFuncA" | "feFuncB" | "feFuncG" | "feFuncR" | "feGaussianBlur" | "feImage" | "feMerge" | "feMergeNode" | "feMorphology" | "feOffset" | "fePointLight" | "feSpecularLighting" | "feSpotLight" | "feTile" | "feTurbulence" | "filter" | "foreignObject" | "g" | "image" | "line" | "linearGradient" | "marker" | "mask" | "metadata" | "mpath" | "path" | "pattern" | "polygon" | "polyline" | "radialGradient" | "rect" | "stop" | "switch" | "text" | "textPath" | "tspan" | "use" | "view", any, import("../Tag/Tag").TagContainerProps, any>;
    Placeholder: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default Dropdown;
//# sourceMappingURL=Dropdown.d.ts.map