import React from 'react';
import { StyledSubcomponentType, SubcomponentPropsType } from '../commonTypes';
export declare type InteractionFeedbackProps = {
    StyledContainer?: StyledSubcomponentType;
    StyledSVGContainer?: StyledSubcomponentType;
    containerProps?: SubcomponentPropsType;
    svgContainerProps?: SubcomponentPropsType;
    children?: React.ReactNode;
    color?: string;
    interpolationFunctions?: Record<string, (val: any) => any>;
    transitionProps?: any;
    containerRef?: React.RefObject<HTMLDivElement>;
    SVGContainerRef?: React.RefObject<SVGElement>;
};
declare const InteractionFeedback: {
    ({ StyledContainer, StyledSVGContainer, containerRef, SVGContainerRef, containerProps, svgContainerProps, color, children, interpolationFunctions, transitionProps, }: InteractionFeedbackProps): JSX.Element;
    Container: import("styled-components").StyledComponent<import("@react-spring/web").AnimatedComponent<"div">, any, {}, never>;
    SVGContainer: import("styled-components").StyledComponent<"svg", any, {}, never>;
    defaultTransitionProps: {
        from: {
            r: number;
            opacity: number;
        };
        enter: {
            r: number;
            opacity: number;
        };
        config: {
            mass: number;
            tension: number;
            friction: number;
            round: number;
            clamp: boolean;
        };
    };
    defaultInterpolationFunctions: {
        r: (r: any) => any;
        opacity: (opacity: any) => any;
    };
};
export default InteractionFeedback;
//# sourceMappingURL=InteractionFeedback.d.ts.map