import React, { RefObject, ReactNode } from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
export interface ModalProps {
    StyledContainer?: StyledSubcomponentType;
    StyledUnderlay?: StyledSubcomponentType;
    StyledCloseButton?: StyledSubcomponentType;
    StyledCloseButtonContainer?: StyledSubcomponentType;
    containerProps?: SubcomponentPropsType;
    underlayProps?: SubcomponentPropsType;
    closeButtonProps?: SubcomponentPropsType;
    closeButtonContainerProps?: SubcomponentPropsType;
    containerRef?: RefObject<HTMLDivElement>;
    closeButtonContainerRef?: RefObject<HTMLDivElement>;
    underlayRef?: RefObject<HTMLDivElement>;
    animationSpringConfig?: Record<string, unknown>;
    children: ReactNode;
    onClickOutside?: (e: MouseEvent) => void;
    onClose?: (e: MouseEvent) => void;
    closeButtonAttachment?: string;
    backgroundBlur?: string;
    backgroundDarkness?: number;
    style?: Record<string, unknown>;
}
export declare type ModalApi = {
    close: (evt?: any) => void;
};
declare const Modal: React.ForwardRefExoticComponent<ModalProps & React.RefAttributes<ModalApi>>;
export default Modal;
//# sourceMappingURL=Modal.d.ts.map