import React, { MouseEvent, ReactNode, RefObject } from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
export declare enum SpotlightShapes {
    circular = "circular",
    round = "round",
    box = "box",
    'roundedBox' = "rounded box"
}
export declare type SpotlightProps = {
    StyledContainer?: StyledSubcomponentType;
    containerProps?: SubcomponentPropsType;
    containerRef?: RefObject<HTMLElement>;
    StyledAnnotation?: StyledSubcomponentType;
    annotationProps?: SubcomponentPropsType;
    annotationRef?: RefObject<HTMLElement>;
    children?: ReactNode;
    targetElement?: HTMLElement | Element;
    scrollingParentElement?: HTMLElement | Element;
    backgroundBlur?: string;
    backgroundDarkness?: number;
    shape?: SpotlightShapes;
    cornerRadius?: number;
    padding?: number;
    onClick?: (e: MouseEvent) => void;
    animateTargetChanges?: boolean;
    onAnimationEnd?: () => void;
    animationSpringConfig?: Record<string, unknown>;
    resizeUpdateInterval?: number;
    scrollUpdateInterval?: number;
};
declare const Spotlight: {
    ({ StyledContainer, containerProps, containerRef, StyledAnnotation, annotationProps, annotationRef, children, targetElement, scrollingParentElement, backgroundBlur, backgroundDarkness, shape, cornerRadius, padding, onClick, animateTargetChanges, onAnimationEnd, animationSpringConfig, resizeUpdateInterval, scrollUpdateInterval, }: SpotlightProps): JSX.Element | null;
    Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Annotation: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    SpotlightShapes: typeof SpotlightShapes;
};
export default Spotlight;
//# sourceMappingURL=Spotlight.d.ts.map