import React, { ReactNode } from 'react';
import { StyledComponentBase } from 'styled-components';
import variants from '../../enums/variants';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
export declare type TagContainerProps = {
    elevation: number;
    color: string;
    variant: variants;
    type: string;
    disabled: boolean;
};
export declare type IconContainerProps = {
    hasContent: boolean;
    position: 'right' | 'left';
};
export declare type TagProps = {
    iconPrefix?: string | JSX.Element;
    iconSuffix?: string | JSX.Element;
    isLoading?: boolean;
    isProcessing?: boolean;
    children?: ReactNode;
    elevation?: number;
    variant?: variants;
    color?: string;
    id?: string;
    containerProps?: SubcomponentPropsType;
    iconPrefixContainerProps?: SubcomponentPropsType;
    iconSuffixContainerProps?: SubcomponentPropsType;
    loadingBarProps?: SubcomponentPropsType;
    StyledContainer?: StyledSubcomponentType;
    StyledIconContainer?: StyledSubcomponentType;
    StyledLoadingBar?: StyledSubcomponentType;
    containerRef?: React.RefObject<HTMLSpanElement>;
    iconPrefixContainerRef?: React.RefObject<HTMLElement>;
    iconSuffixContainerRef?: React.RefObject<HTMLElement>;
    loadingBarRef?: React.RefObject<HTMLElement>;
};
export declare const Container: string & StyledComponentBase<any, {}, TagContainerProps>;
declare const Tag: {
    ({ iconPrefix, iconSuffix, isLoading, isProcessing, children, elevation, variant, color, id, containerProps, iconPrefixContainerProps, iconSuffixContainerProps, loadingBarProps, containerRef, iconPrefixContainerRef, iconSuffixContainerRef, loadingBarRef, StyledContainer, StyledIconContainer, StyledLoadingBar, }: TagProps): JSX.Element;
    Container: string & StyledComponentBase<any, {}, TagContainerProps, never>;
    LoadingBar: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    IconContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default Tag;
//# sourceMappingURL=Tag.d.ts.map