import React, { ChangeEvent, EventHandler, ReactNode, SyntheticEvent, TextareaHTMLAttributes, InputHTMLAttributes } from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
import variants from '../../enums/variants';
export declare type TextInputContainerProps = {
    disabled?: boolean;
    isValid?: boolean;
    variant?: variants;
};
export declare type TextInputProps = InputHTMLAttributes<HTMLInputElement> & TextareaHTMLAttributes<HTMLTextAreaElement> & {
    iconPrefix?: string | ReactNode;
    onClear?: (event: SyntheticEvent) => void;
    clearable?: boolean;
    debouncedOnChange?: EventHandler<ChangeEvent<HTMLInputElement>>;
    isValid?: boolean;
    isMultiline?: boolean;
    errorMessage?: string;
    variant?: variants;
    debounceInterval?: number;
    multiLineIsResizable?: boolean;
    maxLength?: number;
    allowTextBeyondMaxLength?: boolean;
    showCharacterCount?: boolean;
    StyledContainer?: StyledSubcomponentType;
    StyledInput?: StyledSubcomponentType;
    StyledIconContainer?: StyledSubcomponentType;
    StyledClearButtonContainer?: StyledSubcomponentType;
    StyledErrorContainer?: StyledSubcomponentType;
    StyledTextArea?: StyledSubcomponentType;
    StyledCharacterCount?: StyledSubcomponentType;
    containerProps?: SubcomponentPropsType;
    inputProps?: SubcomponentPropsType;
    iconContainerProps?: SubcomponentPropsType;
    clearButtonContainerProps?: SubcomponentPropsType;
    errorContainerProps?: SubcomponentPropsType;
    characterCountProps?: SubcomponentPropsType;
    containerRef?: React.RefObject<HTMLDivElement>;
    inputRef?: React.RefObject<HTMLInputElement> | ((inst: HTMLInputElement) => void);
    iconContainerRef?: React.RefObject<HTMLDivElement>;
    clearButtonContainerRef?: React.RefObject<HTMLButtonElement>;
    errorContainerRef?: React.RefObject<HTMLDivElement>;
    characterCountRef?: React.RefObject<HTMLDivElement>;
};
declare const TextInput: {
    ({ debouncedOnChange, onClear, clearable, iconPrefix, isValid, isMultiline, errorMessage, variant, debounceInterval, multiLineIsResizable, maxLength, allowTextBeyondMaxLength, showCharacterCount, StyledContainer, StyledInput, StyledIconContainer, StyledClearButtonContainer, StyledErrorContainer, StyledTextArea, StyledCharacterCount, containerProps, inputProps, iconContainerProps, clearButtonContainerProps, errorContainerProps, characterCountProps, containerRef, inputRef, iconContainerRef, clearButtonContainerRef, errorContainerRef, characterCountRef, ...nativeHTMLAttributes }: TextInputProps): JSX.Element;
    Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    ErrorContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Input: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    IconContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    ClearButtonContainer: import("styled-components").StyledComponent<StyledSubcomponentType<any>, any, {}, never>;
    TextArea: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    CharacterCount: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default TextInput;
//# sourceMappingURL=TextInput.d.ts.map