/**
 * Get the appropriate font color for the button based on the variant of button
 * @param {string} variant - The variant of button
 * @param {string} color - The color prop passed into the button
 * @param {string} lightReturnColor - The color to return if the color is too dark
 * @param {string} darkReturnColor - The color to return if the color is too dark
 */
export declare const getFontColorFromVariant: (variant: string, color: string, lightReturnColor?: string, darkReturnColor?: string) => string;
/**
 * Get the appropriate background color for the button based on the variant of button
 * @param {string} variant - The variant of button
 * @param {string} color - The color prop passed into the button
 * @param {string} [transparentColor] - The color to use for a transparent background
 */
export declare const getBackgroundColorFromVariant: (variant: string, color: string, transparentColor?: string) => string;
/**
 * Returns a filter for grayscale with contrast and brightness parameters.
 */
export declare const disabledStyles: ({ grayscale, contrast, brightness, }?: {
    grayscale?: number | undefined;
    contrast?: number | undefined;
    brightness?: number | undefined;
}) => string;
//# sourceMappingURL=color.d.ts.map