import React from 'react';
/**
 * Merges multiple references
 * @param {Array} refs - Array of reference object or reference functions
 * @return {RefCallback} To apply each ref whether it is a ref object or ref callback
 */
export declare type MergeRefs<T> = Array<React.RefObject<T> | React.MutableRefObject<T> | React.ForwardedRef<T> | React.RefCallback<T> | undefined | null>;
export declare const mergeRefs: <T>(refs: MergeRefs<T>) => (inst: T) => void;
//# sourceMappingURL=refs.d.ts.map